Package org.codehaus.janino

# Interface Java.ModuleDirective

All Known Implementing Classes:
  `Java.ExportsModuleDirective`, `Java.OpensModuleDirective`, `Java.ProvidesModuleDirective`, `Java.RequiresModuleDirective`, `Java.UsesModuleDirective`

Enclosing class:
  `Java`

public static interface Java.ModuleDirective
Representation of a (Java 9+) "module directive", as explained in JLS9 7.7.

## Method Summary

Modifier and Type
Method
Description
`<R, EX extends Throwable>
R`
`accept(Visitor.ModuleDirectiveVisitor<R,EX> visitor)`
Invokes the "`visit...()`" method of `Visitor.ModuleDirectiveVisitor` for the concrete `Java.ModuleDirective` type.

## Method Details

### accept

@Nullable <R, EX extends Throwable> R accept(Visitor.ModuleDirectiveVisitor<R,EX> visitor) throws EX
Invokes the "`visit...()`" method of `Visitor.ModuleDirectiveVisitor` for the concrete `Java.ModuleDirective` type.

Throws:
  `EX`